<html>
<head>
<title>Ogre::AnimationState Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnimationState Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnimationState" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Represents the state of an animation and the weight of its influence.  
 <a href="classOgre_1_1AnimationState.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::AnimationState:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1AnimationState__inherit__graph.gif" border="0" usemap="#Ogre_1_1AnimationState_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1AnimationState_inherit__map" id="Ogre_1_1AnimationState_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="24,5,133,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1AnimationState-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; float &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Typedef for an array of float values used as a bone blend mask.  <a href="#a9eb388325ffd3d479e311a05f519445b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a0a78387f3637ec52d9eda6614adbf479">AnimationState</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;animName, <a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *parent, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> length, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight=1.0, bool enabled=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal constructor with all params supplied.  <a href="#a0a78387f3637ec52d9eda6614adbf479"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a591c9a568799cf5261d3806129da2f5d">AnimationState</a> (<a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *parent, const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor to copy from an existing state with new parent.  <a href="#a591c9a568799cf5261d3806129da2f5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a0202f57ccea141a220330579538611dc">~AnimationState</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a3833bb6a215b05bf15f70d1fa52dd3ef">getAnimationName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name of the animation to which this state applies.  <a href="#a3833bb6a215b05bf15f70d1fa52dd3ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#adffe55bcb910703b963d0f168eca13cb">getTimePosition</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the time position for this animation.  <a href="#adffe55bcb910703b963d0f168eca13cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#ae69ff5a068d086be7ecc048a71ed8efc">setTimePosition</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> timePos)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the time position for this animation.  <a href="#ae69ff5a068d086be7ecc048a71ed8efc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a25849076feadef5cbbfcb57589c3966b">getLength</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the total length of this animation (may be shorter than whole animation)  <a href="#a25849076feadef5cbbfcb57589c3966b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#af1910e8bbaebe61359ac7edb638e5cbc">setLength</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> len)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the total length of this animation (may be shorter than whole animation)  <a href="#af1910e8bbaebe61359ac7edb638e5cbc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a6284267d9586b91203dca1456f6cba77">getWeight</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the weight (influence) of this animation.  <a href="#a6284267d9586b91203dca1456f6cba77"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a9666320c8d7739e3b0ee8ebd3bfe84aa">setWeight</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> weight)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the weight (influence) of this animation.  <a href="#a9666320c8d7739e3b0ee8ebd3bfe84aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a4670365ae58e531297816ede430b0971">addTime</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> offset)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Modifies the time position, adjusting for animation length.  <a href="#a4670365ae58e531297816ede430b0971"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#ae8d092abcb1e407b73f57d23394bd736">hasEnded</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the animation has reached the end and is not looping.  <a href="#ae8d092abcb1e407b73f57d23394bd736"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a3cecdbea43c62531d51d8c4ac51c56ab">getEnabled</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this animation is currently enabled.  <a href="#a3cecdbea43c62531d51d8c4ac51c56ab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a7acaa951a87614f39df6a7f767a88f60">setEnabled</a> (bool enabled)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether this animation is enabled.  <a href="#a7acaa951a87614f39df6a7f767a88f60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a01a1f30ff86bad2817be3675a6c3e67b">operator==</a> (const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Equality operator.  <a href="#a01a1f30ff86bad2817be3675a6c3e67b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a7f21613e63dfd864ddd3df640c2131a4">operator!=</a> (const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inequality operator.  <a href="#a7f21613e63dfd864ddd3df640c2131a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a1f6272f69d31ff9fdeca356cfcf0bc9d">setLoop</a> (bool loop)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether or not an animation loops at the start and end of the animation if the time continues to be altered.  <a href="#a1f6272f69d31ff9fdeca356cfcf0bc9d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a0ec0b1f09ef22e7ef18a041e2fb30f29">getLoop</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether or not this animation loops.  <a href="#a0ec0b1f09ef22e7ef18a041e2fb30f29"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#ad49f3512efa4716c778e48d1223f1b4f">copyStateFrom</a> (const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;animState)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Copies the states from another animation state, preserving the animation name (unlike operator=) but copying everything else.  <a href="#ad49f3512efa4716c778e48d1223f1b4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#aadbf4450864c966da1911d600a673ff7">getParent</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the parent animation state set.  <a href="#aadbf4450864c966da1911d600a673ff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a06594a53335afbe8ccb67331e35a32fd">createBlendMask</a> (size_t blendMaskSizeHint, float initialWeight=1.0f)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new blend mask with the given number of entries.  <a href="#a06594a53335afbe8ccb67331e35a32fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a78fe4050a91268162602c50cf03f9774">destroyBlendMask</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy the currently set blend mask.  <a href="#a78fe4050a91268162602c50cf03f9774"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#ad38d5a17259f4a88b29773fda638e9fa">_setBlendMaskData</a> (const float *blendMaskData)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the blend mask data (might be dangerous)  <a href="#ad38d5a17259f4a88b29773fda638e9fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a1c17270d5133a34a1d2f846d34f61a69">_setBlendMask</a> (const <a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a> *blendMask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the blend mask.  <a href="#a1c17270d5133a34a1d2f846d34f61a69"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a540dca3a99beca820013dca76cff68d1">getBlendMask</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current blend mask (const version, may be 0)  <a href="#a540dca3a99beca820013dca76cff68d1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#accc8e63c8e9521e9a879d1df6169467b">hasBlendMask</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether there is currently a valid blend mask set.  <a href="#accc8e63c8e9521e9a879d1df6169467b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#acd87ade1535b3721676d7257b9370a5a">setBlendMaskEntry</a> (size_t boneHandle, float weight)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the weight for the bone identified by the given handle.  <a href="#acd87ade1535b3721676d7257b9370a5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a6e13e1f06b1c47aa3b9a7eeecc9474ea">getBlendMaskEntry</a> (size_t boneHandle) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the weight for the bone identified by the given handle.  <a href="#a6e13e1f06b1c47aa3b9a7eeecc9474ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a2d5e8cd239d3091a650896f641bc5dd5">mBlendMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The blend mask (containing per bone weights)  <a href="#a2d5e8cd239d3091a650896f641bc5dd5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a6aaecdb4c2d236c0a8b3b1af346e511e">mAnimationName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a9c169c11fa2b35f0f9db9f68f69c0da0">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#aa524309374bba8a3eb05bac6c046ec1b">mTimePos</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a17da018a960a834b8d16af2e811b535f">mLength</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a0e241844010a40259cf0eb28bcc68b98">mWeight</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a04f40a90d9464b5ed89ceb803b5e96d9">mEnabled</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationState.html#a4a6f3f2717fa461eaf22c04bf6528288">mLoop</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents the state of an animation and the weight of its influence. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Other classes can hold instances of this class to store the state of any animations they are using. </dd></dl>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00052">52</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a9eb388325ffd3d479e311a05f519445b"></a><!-- doxytag: member="Ogre::AnimationState::BoneBlendMask" ref="a9eb388325ffd3d479e311a05f519445b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;float&gt;::type <a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">Ogre::AnimationState::BoneBlendMask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Typedef for an array of float values used as a bone blend mask. </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00057">57</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0a78387f3637ec52d9eda6614adbf479"></a><!-- doxytag: member="Ogre::AnimationState::AnimationState" ref="a0a78387f3637ec52d9eda6614adbf479" args="(const String &amp;animName, AnimationStateSet *parent, Real timePos, Real length, Real weight=1.0, bool enabled=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html#a0a78387f3637ec52d9eda6614adbf479">Ogre::AnimationState::AnimationState</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>animName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timePos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>weight</em> = <code>1.0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Normal constructor with all params supplied. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">animName</td><td>The name of this state. </td></tr>
    <tr><td class="paramname">parent</td><td>The parent <a class="el" href="classOgre_1_1AnimationStateSet.html" title="Class encapsulating a set of AnimationState objects.">AnimationStateSet</a> that this state will belong to. </td></tr>
    <tr><td class="paramname">timePos</td><td>The position, in seconds, where this state will begin. </td></tr>
    <tr><td class="paramname">length</td><td>The length, in seconds, of this animation state. </td></tr>
    <tr><td class="paramname">weight</td><td>Weight to apply the animation state with. </td></tr>
    <tr><td class="paramname">enabled</td><td>Whether the animation state is enabled. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a591c9a568799cf5261d3806129da2f5d"></a><!-- doxytag: member="Ogre::AnimationState::AnimationState" ref="a591c9a568799cf5261d3806129da2f5d" args="(AnimationStateSet *parent, const AnimationState &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html#a0a78387f3637ec52d9eda6614adbf479">Ogre::AnimationState::AnimationState</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor to copy from an existing state with new parent. </p>

</div>
</div>
<a class="anchor" id="a0202f57ccea141a220330579538611dc"></a><!-- doxytag: member="Ogre::AnimationState::~AnimationState" ref="a0202f57ccea141a220330579538611dc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1AnimationState.html#a0202f57ccea141a220330579538611dc">Ogre::AnimationState::~AnimationState</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1c17270d5133a34a1d2f846d34f61a69"></a><!-- doxytag: member="Ogre::AnimationState::_setBlendMask" ref="a1c17270d5133a34a1d2f846d34f61a69" args="(const BoneBlendMask *blendMask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a1c17270d5133a34a1d2f846d34f61a69">Ogre::AnimationState::_setBlendMask</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a> *&#160;</td>
          <td class="paramname"><em>blendMask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the blend mask. </p>
<dl class="user"><dt><b>The size of the array should match the number of entries the</b></dt><dd>blend mask was created with.</dd></dl>
<dl class="user"><dt><b>Stick to the setBlendMaskEntry method if you don't know exactly what you're doing.</b></dt><dd></dd></dl>

</div>
</div>
<a class="anchor" id="ad38d5a17259f4a88b29773fda638e9fa"></a><!-- doxytag: member="Ogre::AnimationState::_setBlendMaskData" ref="ad38d5a17259f4a88b29773fda638e9fa" args="(const float *blendMaskData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#ad38d5a17259f4a88b29773fda638e9fa">Ogre::AnimationState::_setBlendMaskData</a> </td>
          <td>(</td>
          <td class="paramtype">const float *&#160;</td>
          <td class="paramname"><em>blendMaskData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the blend mask data (might be dangerous) </p>
<dl class="user"><dt><b>The size of the array should match the number of entries the</b></dt><dd>blend mask was created with.</dd></dl>
<dl class="user"><dt><b>Stick to the setBlendMaskEntry method if you don't know exactly what you're doing.</b></dt><dd></dd></dl>

</div>
</div>
<a class="anchor" id="a4670365ae58e531297816ede430b0971"></a><!-- doxytag: member="Ogre::AnimationState::addTime" ref="a4670365ae58e531297816ede430b0971" args="(Real offset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a4670365ae58e531297816ede430b0971">Ogre::AnimationState::addTime</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Modifies the time position, adjusting for animation length. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">offset</td><td>The amount of time, in seconds, to extend the animation. </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method loops at the edges if animation looping is enabled. </dd></dl>

</div>
</div>
<a class="anchor" id="ad49f3512efa4716c778e48d1223f1b4f"></a><!-- doxytag: member="Ogre::AnimationState::copyStateFrom" ref="ad49f3512efa4716c778e48d1223f1b4f" args="(const AnimationState &amp;animState)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#ad49f3512efa4716c778e48d1223f1b4f">Ogre::AnimationState::copyStateFrom</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&#160;</td>
          <td class="paramname"><em>animState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Copies the states from another animation state, preserving the animation name (unlike operator=) but copying everything else. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">animState</td><td>Reference to animation state which will use as source. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a06594a53335afbe8ccb67331e35a32fd"></a><!-- doxytag: member="Ogre::AnimationState::createBlendMask" ref="a06594a53335afbe8ccb67331e35a32fd" args="(size_t blendMaskSizeHint, float initialWeight=1.0f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a06594a53335afbe8ccb67331e35a32fd">Ogre::AnimationState::createBlendMask</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>blendMaskSizeHint</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>initialWeight</em> = <code>1.0f</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new blend mask with the given number of entries. </p>
<p>In addition to assigning a single weight value to a skeletal animation, it may be desirable to assign animation weights per bone using a 'blend mask'.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">blendMaskSizeHint</td><td>The number of bones of the skeleton owning this <a class="el" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of its influence.">AnimationState</a>. </td></tr>
    <tr><td class="paramname">initialWeight</td><td>The value all the blend mask entries will be initialised with (negative to skip initialisation) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a78fe4050a91268162602c50cf03f9774"></a><!-- doxytag: member="Ogre::AnimationState::destroyBlendMask" ref="a78fe4050a91268162602c50cf03f9774" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a78fe4050a91268162602c50cf03f9774">Ogre::AnimationState::destroyBlendMask</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy the currently set blend mask. </p>

</div>
</div>
<a class="anchor" id="a3833bb6a215b05bf15f70d1fa52dd3ef"></a><!-- doxytag: member="Ogre::AnimationState::getAnimationName" ref="a3833bb6a215b05bf15f70d1fa52dd3ef" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1AnimationState.html#a3833bb6a215b05bf15f70d1fa52dd3ef">Ogre::AnimationState::getAnimationName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the name of the animation to which this state applies. </p>

</div>
</div>
<a class="anchor" id="a540dca3a99beca820013dca76cff68d1"></a><!-- doxytag: member="Ogre::AnimationState::getBlendMask" ref="a540dca3a99beca820013dca76cff68d1" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a>* <a class="el" href="classOgre_1_1AnimationState.html#a540dca3a99beca820013dca76cff68d1">Ogre::AnimationState::getBlendMask</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the current blend mask (const version, may be 0) </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00159">159</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6e13e1f06b1c47aa3b9a7eeecc9474ea"></a><!-- doxytag: member="Ogre::AnimationState::getBlendMaskEntry" ref="a6e13e1f06b1c47aa3b9a7eeecc9474ea" args="(size_t boneHandle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1AnimationState.html#a6e13e1f06b1c47aa3b9a7eeecc9474ea">Ogre::AnimationState::getBlendMaskEntry</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>boneHandle</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the weight for the bone identified by the given handle. </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00165">165</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3cecdbea43c62531d51d8c4ac51c56ab"></a><!-- doxytag: member="Ogre::AnimationState::getEnabled" ref="a3cecdbea43c62531d51d8c4ac51c56ab" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#a3cecdbea43c62531d51d8c4ac51c56ab">Ogre::AnimationState::getEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if this animation is currently enabled. </p>

</div>
</div>
<a class="anchor" id="a25849076feadef5cbbfcb57589c3966b"></a><!-- doxytag: member="Ogre::AnimationState::getLength" ref="a25849076feadef5cbbfcb57589c3966b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#a25849076feadef5cbbfcb57589c3966b">Ogre::AnimationState::getLength</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the total length of this animation (may be shorter than whole animation) </p>

</div>
</div>
<a class="anchor" id="a0ec0b1f09ef22e7ef18a041e2fb30f29"></a><!-- doxytag: member="Ogre::AnimationState::getLoop" ref="a0ec0b1f09ef22e7ef18a041e2fb30f29" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#a0ec0b1f09ef22e7ef18a041e2fb30f29">Ogre::AnimationState::getLoop</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether or not this animation loops. </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00118">118</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="aadbf4450864c966da1911d600a673ff7"></a><!-- doxytag: member="Ogre::AnimationState::getParent" ref="aadbf4450864c966da1911d600a673ff7" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a>* <a class="el" href="classOgre_1_1AnimationState.html#aadbf4450864c966da1911d600a673ff7">Ogre::AnimationState::getParent</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the parent animation state set. </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00127">127</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="adffe55bcb910703b963d0f168eca13cb"></a><!-- doxytag: member="Ogre::AnimationState::getTimePosition" ref="adffe55bcb910703b963d0f168eca13cb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#adffe55bcb910703b963d0f168eca13cb">Ogre::AnimationState::getTimePosition</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the time position for this animation. </p>

</div>
</div>
<a class="anchor" id="a6284267d9586b91203dca1456f6cba77"></a><!-- doxytag: member="Ogre::AnimationState::getWeight" ref="a6284267d9586b91203dca1456f6cba77" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#a6284267d9586b91203dca1456f6cba77">Ogre::AnimationState::getWeight</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the weight (influence) of this animation. </p>

</div>
</div>
<a class="anchor" id="accc8e63c8e9521e9a879d1df6169467b"></a><!-- doxytag: member="Ogre::AnimationState::hasBlendMask" ref="accc8e63c8e9521e9a879d1df6169467b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#accc8e63c8e9521e9a879d1df6169467b">Ogre::AnimationState::hasBlendMask</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return whether there is currently a valid blend mask set. </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00161">161</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae8d092abcb1e407b73f57d23394bd736"></a><!-- doxytag: member="Ogre::AnimationState::hasEnded" ref="ae8d092abcb1e407b73f57d23394bd736" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#ae8d092abcb1e407b73f57d23394bd736">Ogre::AnimationState::hasEnded</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if the animation has reached the end and is not looping. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::AnimationState::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::AnimationState::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::AnimationState::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::AnimationState::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::AnimationState::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::AnimationState::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::AnimationState::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::AnimationState::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::AnimationState::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::AnimationState::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f21613e63dfd864ddd3df640c2131a4"></a><!-- doxytag: member="Ogre::AnimationState::operator!=" ref="a7f21613e63dfd864ddd3df640c2131a4" args="(const AnimationState &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inequality operator. </p>

</div>
</div>
<a class="anchor" id="a01a1f30ff86bad2817be3675a6c3e67b"></a><!-- doxytag: member="Ogre::AnimationState::operator==" ref="a01a1f30ff86bad2817be3675a6c3e67b" args="(const AnimationState &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::AnimationState::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Equality operator. </p>

</div>
</div>
<a class="anchor" id="acd87ade1535b3721676d7257b9370a5a"></a><!-- doxytag: member="Ogre::AnimationState::setBlendMaskEntry" ref="acd87ade1535b3721676d7257b9370a5a" args="(size_t boneHandle, float weight)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#acd87ade1535b3721676d7257b9370a5a">Ogre::AnimationState::setBlendMaskEntry</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>boneHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>weight</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the weight for the bone identified by the given handle. </p>

</div>
</div>
<a class="anchor" id="a7acaa951a87614f39df6a7f767a88f60"></a><!-- doxytag: member="Ogre::AnimationState::setEnabled" ref="a7acaa951a87614f39df6a7f767a88f60" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a7acaa951a87614f39df6a7f767a88f60">Ogre::AnimationState::setEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether this animation is enabled. </p>

</div>
</div>
<a class="anchor" id="af1910e8bbaebe61359ac7edb638e5cbc"></a><!-- doxytag: member="Ogre::AnimationState::setLength" ref="af1910e8bbaebe61359ac7edb638e5cbc" args="(Real len)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#af1910e8bbaebe61359ac7edb638e5cbc">Ogre::AnimationState::setLength</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>len</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the total length of this animation (may be shorter than whole animation) </p>

</div>
</div>
<a class="anchor" id="a1f6272f69d31ff9fdeca356cfcf0bc9d"></a><!-- doxytag: member="Ogre::AnimationState::setLoop" ref="a1f6272f69d31ff9fdeca356cfcf0bc9d" args="(bool loop)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a1f6272f69d31ff9fdeca356cfcf0bc9d">Ogre::AnimationState::setLoop</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>loop</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether or not an animation loops at the start and end of the animation if the time continues to be altered. </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00116">116</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae69ff5a068d086be7ecc048a71ed8efc"></a><!-- doxytag: member="Ogre::AnimationState::setTimePosition" ref="ae69ff5a068d086be7ecc048a71ed8efc" args="(Real timePos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#ae69ff5a068d086be7ecc048a71ed8efc">Ogre::AnimationState::setTimePosition</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>timePos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the time position for this animation. </p>

</div>
</div>
<a class="anchor" id="a9666320c8d7739e3b0ee8ebd3bfe84aa"></a><!-- doxytag: member="Ogre::AnimationState::setWeight" ref="a9666320c8d7739e3b0ee8ebd3bfe84aa" args="(Real weight)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AnimationState.html#a9666320c8d7739e3b0ee8ebd3bfe84aa">Ogre::AnimationState::setWeight</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>weight</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the weight (influence) of this animation. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6aaecdb4c2d236c0a8b3b1af346e511e"></a><!-- doxytag: member="Ogre::AnimationState::mAnimationName" ref="a6aaecdb4c2d236c0a8b3b1af346e511e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1AnimationState.html#a6aaecdb4c2d236c0a8b3b1af346e511e">Ogre::AnimationState::mAnimationName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00174">174</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d5e8cd239d3091a650896f641bc5dd5"></a><!-- doxytag: member="Ogre::AnimationState::mBlendMask" ref="a2d5e8cd239d3091a650896f641bc5dd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html#a9eb388325ffd3d479e311a05f519445b">BoneBlendMask</a>* <a class="el" href="classOgre_1_1AnimationState.html#a2d5e8cd239d3091a650896f641bc5dd5">Ogre::AnimationState::mBlendMask</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The blend mask (containing per bone weights) </p>

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00172">172</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04f40a90d9464b5ed89ceb803b5e96d9"></a><!-- doxytag: member="Ogre::AnimationState::mEnabled" ref="a04f40a90d9464b5ed89ceb803b5e96d9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#a04f40a90d9464b5ed89ceb803b5e96d9">Ogre::AnimationState::mEnabled</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00179">179</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a17da018a960a834b8d16af2e811b535f"></a><!-- doxytag: member="Ogre::AnimationState::mLength" ref="a17da018a960a834b8d16af2e811b535f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#a17da018a960a834b8d16af2e811b535f">Ogre::AnimationState::mLength</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00177">177</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4a6f3f2717fa461eaf22c04bf6528288"></a><!-- doxytag: member="Ogre::AnimationState::mLoop" ref="a4a6f3f2717fa461eaf22c04bf6528288" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1AnimationState.html#a4a6f3f2717fa461eaf22c04bf6528288">Ogre::AnimationState::mLoop</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00180">180</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9c169c11fa2b35f0f9db9f68f69c0da0"></a><!-- doxytag: member="Ogre::AnimationState::mParent" ref="a9c169c11fa2b35f0f9db9f68f69c0da0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a>* <a class="el" href="classOgre_1_1AnimationState.html#a9c169c11fa2b35f0f9db9f68f69c0da0">Ogre::AnimationState::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00175">175</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa524309374bba8a3eb05bac6c046ec1b"></a><!-- doxytag: member="Ogre::AnimationState::mTimePos" ref="aa524309374bba8a3eb05bac6c046ec1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#aa524309374bba8a3eb05bac6c046ec1b">Ogre::AnimationState::mTimePos</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00176">176</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0e241844010a40259cf0eb28bcc68b98"></a><!-- doxytag: member="Ogre::AnimationState::mWeight" ref="a0e241844010a40259cf0eb28bcc68b98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1AnimationState.html#a0e241844010a40259cf0eb28bcc68b98">Ogre::AnimationState::mWeight</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationState_8h_source.html#l00178">178</a> of file <a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationState_8h_source.html">OgreAnimationState.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
